##         Copyright (c) 2015 Rob Sykes <robs@users.sourceforge.net>
##
## This file is part of Octave.
##
## Octave is free software; you can redistribute it and/or modify it under the
## terms of the GNU General Public License as published by the Free Software
## Foundation; either version 3 of the License, or (at your option) any later
## version.
##
## Octave is distributed in the hope that it will be useful, but WITHOUT ANY
## WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
## A PARTICULAR PURPOSE. See the GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License along with
## this program; if not, see <http://www.gnu.org/licenses/>.



## -*- texinfo -*-
## THIS FUNCTION IS DEPRECATED; PLEASE USE FIRPMORD INSTEAD.
## @deftypefn  {Function File} {[@var{n}, @var{Fout}, @var{a}, @var{w}] =} remezord (@var{f}, @var{a}, @var{d})
## @deftypefnx {Function File} {[@var{n}, @var{Fout}, @var{a}, @var{w}] =} remezord (@var{f}, @var{a}, @var{d}, @var{fs})
## @deftypefnx {Function File} {@var{c} =} remezord (@var{f}, @var{a}, @var{d}, 'cell')
## @deftypefnx {Function File} {@var{c} =} remezord (@var{f}, @var{a}, @var{d}, @var{fs}, 'cell')
##
## Estimate the filter-order needed for `firpm' to design a type-I or type-II
## linear-phase FIR filter according to the given specifications.
##
## @end deftypefn



function [N, Fout, A, W] = remezord (F, A, D, varargin)

  if (nargin < 3)
    print_usage ();
  endif

  [N, Fout, A, W] = firpmord (F, A, D, varargin{:});

endfunction



%!test assert (
%!  remezord ([.1 .2], [0 1], [.01], 1),
%!  firpmord ([.1 .2], [0 1], [.01], 1))
